package com.bofeng.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bofeng.entity.User;
import com.bofeng.entity.UserOpen;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;


@Mapper
@Repository
public interface UserOpenMapper extends BaseMapper<UserOpen> {

    int deleteByUserId(@Param("userId") Long userId);

    User getUserByHigherId(Long higherId);

    UserOpen selectByUserId(@Param("userId") Long userId);

    UserOpen selectByOpenId(@Param("openId") String openId);

    List<UserOpen> getAllUser();
}
